NAND_SCAN_IDENT(9)

NAME
nand_scan_ident - [NAND Interface] Scan for the NAND device

SYNOPSIS

int nand_scan_ident(struct mtd_info * mtd, int maxchips, struct nand_flash_dev * table);

ARGUMENTS

mtd
    MTD device structure

maxchips
    number of chips to scan for

table
    alternative NAND ID table

DESCRIPTION

This is the first phase of the normal nand_scan function. It reads the flash ID and sets up MTD fields accordingly.

The mtd->owner field must be set to the module of the caller.

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT